===============================================================
Tag name:  release-cesm2.0.03
Originator(s): erik
Date: Oct 19, 2018
One-line Summary: Remove ability to write out single-precision history because of issues

Don't allow the namelist option rtmhist_ndens to be set to 2, because this
option doesn't currently function. The simple fix we put into place for it
is not robust.

MOSART Master Tag This Corresponds To: mosart1_0_31 (with changes)

Issues Fixed: #10
  #18 -- rtmhist_ndens=2 does NOT work (so don't allow it as an option)

Science  changes since: release-cesm2.0.01 
   * None
Software changes since: release-cesm2.0.01
   * None

Testing: Run mosart test suite
   hobart ---- PASS
   cheyenne -- PASS

Pull Requests that document the changes (include PR ids):

 #19 -- Don't allow single precision history output

===============================================================
Tag name:  release-cesm2.0.02
Originator(s): erik/billsacks
Date: Oct 16, 2018
One-line Summary:  Fix for py3 

Fix for python3, using the floor operator for integer division.

MOSART Master Tag This Corresponds To: mosart1_0_31 (with changes)

Issues Fixed: #10
  #10 -- With python3, coupling_period is real rather than int

Science  changes since: release-cesm2.0.01 
   * None
Software changes since: release-cesm2.0.01
   * None

Pull Requests that document the changes (include PR ids):

 #17 -- Changes to fix #10, where an integer divide needs the floor operator

Testing: Run mosart test suite
   hobart ---- PASS
   cheyenne -- PASS

===============================================================
Tag name:  release-cesm2.0.01
Originator(s): erik/jedwards4b
Date: Oct 09, 2018
One-line Summary:  New r8th routing file, pylint and py3 checking, fill value needed for pio2

Add in 8th degree routine file. Run pylint and check for py3 compatability.
There's explict setting of fill type. And also explicit use of shr_kind_r4 for 
kind rather than real(4), which is a better mechanism. Also ncd_getiodesc 
will read in PIO_DOUBLE for input xtype= PIO_DOUBLE or PIO_REAL. Most of this
is direct from jedwards4b (other than r8th addition).

MOSART Master Tag This Corresponds To: mosart1_0_31 (with changes)

Issues Fixed: #18
  #18 -- rtmhist_ndens=2 does NOT work (simplest fix that converts to single on output)

Science  changes since: release-cesm2.0.00
   Added in 8th degree routing file (r8th)
Software changes since: release-cesm2.0.00
   Run pylint on python buildlib and buildnml scripts, check for py3 compatibility.
   Corrects the integer fill value. Needed for pio2.

Pull Requests that document the changes (include PR ids):
Testing:

  #15 -- Bring in changes for xlf compiler, pio, and python3 update 
         (#13 and #6 moved to release-cesm2.0)
  #14 -- fix type issue with xlf

Testing:
    mosart testlist on hobart and cheyenne (PASS)

===============================================================
Tag name:  release-cesm2.0.00
Originator(s): erik
Date: May 21, 2018
One-line Summary: First CESM2.0 release tag, identical to mosart1_0_31

MOSART Master Tag This Corresponds To: Identical to mosart1_0_31

Science changes since: mosart1_0_00

  * Changes from Sean Swenson to add minimum value to rlen
  * Update areas on routing file
  * Answer changing improvements to channel storage from HongYi Li for faster spinup.
  * Bugfix from Tony Craig to use correct delta time for qgwl flux.
  * Treat irrigation as a seperate flux
  * bugfix for budget diagnostic output
  * bugfix: calculation of qgwl_volume must be multiplied by ar
  * Update default routing file.
  * New method of handeling runoff terms to avoid negative runoff.
  * switch to input dataset MOSART_Global_half_20151130a.nc
  * update direct sparse matrix to include non basin points in order
  * to pass data from any grid cell directly to the ocean.
  * modify the direct term and push all direct water to outlet points
  * set all tracer 2 water (frozen water) to be a direct term
  * add ability to skip some tracers in the euler solver via euler_calc flag
  * add a budget accumulator term
  * Fix exact restart in atan slope calc
  * Swenson bugfix for mosart direction file
  * Swenson river volume normalization bugf

Software changes since: mosart1_0_00

  * Add config_archive for mosart
  * delete rof_comp_esmf
  * add model_doi_url,
  * change some instances of RTM/CLM in documentation to MOSART
  * Update testlist to version 2 format, remove ys tests
  * Upgrade config_component to version 3
  * allow output file format to change
  * If NINST_ROF > 1, check if instance number in name for REFCASE
  * Update testlist and use Clm5 compset names
  * Update routing file
  * Update to cime5 python namelist infrastructure
  * Fix an issue with nag, lower amount of log output
  * Add output frequency to history files
  * Turn off for CLM_ACCELERATED_SPINUP="on"
  * Add new namelist options bypass_routing_option,
  * qgwl_runoff_option
  * Error checking on max length of history filenames.
  * Add testdefs dir, testmods and testlist for integration to cime
  * test system.
  * remove rofdto from coupler interface fields.
  * Changes to get Mosart to build with Nag on Hobart
  * merge ACME fixes to decomp and performance
  * cime compatible infrastructure
  * Add direct to ocean runoff flux
  * PIO2 updates

Changes to User Interface since: mo

===============================================================
Tag name:  mosart1_0_31
Originator(s): erik
Date: May 15, 2018
One-line Summary:  Add model_doi_url

Add config_archive for mosart, delete rof_comp_esmf, add model_doi_url, 
change some instances of RTM/CLM in documentation to MOSART

Pull request #11

https://github.com/ESCOMP/mosart/pull/11

===============================================================
Tag name:  mosart1_0_30
Originator(s): erik
Date: Jan 24, 2018
One-line Summary:  Fix testlist so options are under test not machines

Fix testlist so options are under <test> rather than <machines>.
Also remove aux_clm category (any of those tests should be in CLM's testlist).

 M cime_config/testdefs/testlist_mosart.xml

===============================================================
Tag name:  mosart1_0_29
Originator(s): erik
Date: Jan 17, 2018
One-line Summary:  Update testlist to version 2 format, remove ys tests

 Add buildnmlc to .gitignore

Convert the test list to version 2 format, add comments and wallclock to it.
Remove ys tests. Remove aux_clm tests (put those in CLM itself).  Add
two more test mods for currently untested options.

 M cime_config/testdefs/testlist_mosart.xml
 A cime_config/testdefs/testmods_dirs/mosart/decompOpts/user_nl_mosart
 A cime_config/testdefs/testmods_dirs/mosart/qgrwlOpts/user_nl_mosart

===============================================================
Tag name:  mosart1_0_28
Originator(s): erik
Date: Oct 05, 2017
One-line Summary:  Explicitly truncate the river length to a mininum value, rather than
                   just change the calculation of tlen for rlen_min.

Testing: Sean and Keith both ran long simulations with this change (in a branch off of 1_0_26)

Previous simulations showed that short rivers would accumulate water in them slowly over 
time. This doesn't happen in longer rivers. But it affects the total water balance of the
system. Simulations by Sean Swenson and Keith Oleson show that this no longer happens
with this change.

Changes from Sean Swenson to add minimum value to rlen (length of main channel); rlen values 
can be too small, leading to tlen values that are too large

M    src/riverroute/RtmIO.F90 - Explicitly set rlen to rlen_min early and remove code that was
        calculating tlen based on rlen_min when rlen<rlen_min. Since rlen is changed this affects code
        that is based on rlen, and can change the if statements that are triggered.

===============================================================
Tag name:  mosart1_0_27
Originator(s): erik
Date: Oct 03, 2017
One-line Summary: Upgrade config_component to version 3, allow output file format
                  to change, fix a couple bugs

Bugs fixed: 2477, 2494

Testing: aux_clm testlist with cfgcompsetv3_n01_clm4_5_16_r251 on yellowstone/cheyenne/hobart

M    src/riverroute/RtmIO.F90 - Changes from Jim Edwards to change format of output NetCDF
           files, and remove public attribute from io_type

           Remove unneeded setting of namelist group name in test namelists (bug 2494)
M    cime_config/testdefs/testmods_dirs/mosart/default/user_nl_mosart
M    cime_config/testdefs/testmods_dirs/mosart/iceOff/user_nl_mosart
M    cime_config/testdefs/testmods_dirs/mosart/mosartOff/user_nl_mosart

M    cime_config/buildnml ------------- Fix bug 2477 for MOSART so that
        if NINST_RTM > 1, will check if REFCASE has instance name
        in it and then use it, but if not use it without instance name
M    cime_config/config_component.xml - Upgrade to version 3 format

===============================================================
Tag name:  mosart1_0_26
Originator(s): erik
Date: July 07, 2017
One-line Summary: Update areas on routing file and add some comments

Testing: aux_clm testlist with clm4_5_16_r250 on yellowstone

Point to a new routing file that has area's updated by Hongyi. Sean
Swenson showed that they are within single precision roundoff to what he 
expects them to be. The dataset also updates lon to be -180-180
rather than 0-360. Straighten out formatting of lines about hlen
hillslope length in RtmMod and add some comments to it.

M       cime_config/namelist_definition_mosart.xml -- new frivinp_rtm
            converted to NetCDF3 format
M       src/riverroute/RtmMod.F90 -- straighten out formatting, remove
            tabs, add comments about hlen

===============================================================
Tag name:  mosart1_0_25
Originator(s): andre
Date: July 05, 2017
One-line Summary: bugfix and update testlist

Update the testlist to use clm5 compset alias naming conventions.

Bugfix for bugzilla 2481 from Erik Kluzek.

Testing: clm test list run on branch before merge.

Modified files:

M    cime_config/testdefs/testlist_mosart.xml
M    src/riverroute/RtmTimeManager.F90


===============================================================
Tag name:  mosart1_0_24
Originator(s): erik
Date: Jun 01, 2017
One-line Summary: Update routing file with metadata and in NetCDF3 format

Update routing file with extra metadata and in NetCDF3 format rather than
NetCDF4.

Testing:

Modified files: 

M       cime_config/namelist_definition_mosart.xml

===============================================================
Tag name:  mosart1_0_23
Originator(s): andre
Date: March 17, 2017
One-line Summary: answer changing improvements and bugfix

Answer changing improvements to channel storage from HongYi Li for
faster spinup. Bugfix from Tony Craig to use correct delta time for
qgwl flux.

Changes reviewed by Sean Swenson.

Testing:

    Test suite: mosart - yellowstone gnu, intel, pgi
    Test baseline mosart1_0_22_clm4_5_14_r229
    Test status: pass, answer changing as expected when mosart on

    Test suite: aux_clm4{0,5} - yellowstone gnu, intel, pgi
    Test baseline: clm4_5_14_r229
    Test status: ok - only expected failures. Bit for bit except for
                 tests with mosart as expected.

    Dave Lawrence and Sean Swenson ran branch in a long cesm2 coupled
    simulation and verified the results were ok.

Modified files: 

    components/mosart/src/riverroute/RtmMod.F90


===============================================================
Tag name:  mosart1_0_22
Originator(s): andre
Date: March 17, 2017
One-line Summary: histfile pointer bugfix bugz-2184

Bugfix from bugzilla issue 2184. The histfile infrastructure mosart
inherited from clm via rtm needs to use pointers to refer to
pio/netcdf file handles. Bug 2184 has never occured in mosart, but the
same problem existed.

Testing:

    NOTE: testing done with a franken-branch of clm4_5_14_r229 and
    mosart1_0_21.

    mosart - pass - yellowstone gnu, intel, pgi. baseline mosart1_0_21_clm4_5_14_r229.

    aux_clm4{0,5}: ok vs clm4_5_14_r229 baselines yellowstone gnu, intel, pgi
        Only clm expected fails


Modified files: fix for bugzilla #2184

    components/mosart/src/riverroute/RtmHistFile.F90


===============================================================
Tag name:  mosart1_0_21
Originator(s): mvertens, andre
Date: March 14, 2017
One-line Summary: cime5 python namelist generation

Changes from Mariana Vertenstein to convert namelist generation to use
the cime5 python namelist infrastructure.

Testing:

  aux_clm45 vs clm4_5_14_r227 - passed except for expected failures.

  mosart vs clm4_5_14_r227 generated baselines - pass

  mvertens
    ERI_Ld9.f10_f10.IMCRUCLM50BGC.yellowstone_intel.clm-default
    ERS_Ld7.f19_g16.B1850.yellowstone_intel.allactive-defaultio -
        was bfb with cesm2_0_alpha06f

Deleted files: perl based namelist generation and xml files.
   bld
   bld/build-namelist
   bld/namelist_files
   bld/namelist_files/namelist_defaults_mosart.xml
   bld/namelist_files/namelist_definition_mosart.xml

Added files: python based namelist generation and xml files
   cime_config/buildlib
   cime_config/buildnml
   cime_config/config_component.xml
   cime_config/namelist_definition_mosart.xml

===============================================================
Tag name:  mosart1_0_20
Originator(s): erik
Date: Feb 21 2017
One-line Summary: Fix an issue with nag, lower amount of log output

Fix bugs: 2393, 3424

Add some if(masterproc) for write statements, change some writes to aborts, bug 2393
Fix bug for nag compiler on hobart moving global save after mpif bug 2424


M       src/riverroute/RtmMod.F90 ---- Add if(masterproc)
M       src/riverroute/MOSART_physics_mod.F90 ---- Remove print statements before abort
M       src/riverroute/RtmSpmd.F90 -- Move the global save until after the mpif.h include
           so it can work on the nag compiler on hobart.
M       src/riverroute/RtmIO.F90 ---- Add if(masterproc)

===============================================================
Tag name:  mosart1_0_19
Originator(s): swenson, sacks
Date: Oct 17 2016
One-line Summary: Treat irrigation specially, fix volr

(1) Together with corresponding cime and clm changes, treats irrigation as a
    separate flux. The point of this is to map irrigation withdrawals normalized
    by volr, to help prevent river channels from going to negative volumes.

(2) Fixes the volr field sent to the coupler

Requires the cime changes from https://github.com/ESMCI/cime/pull/681

In order for the new irrigation changes to have an effect, also requires the CLM
changes from the branch
https://svn-ccsm-models.cgd.ucar.edu/clm2/branches/limitirrig - although this
code will work correctly without the CLM changes (in this case, irrigation will
simply be 0, and the irrigation flux will be folded in to a different runoff
flux).

Changes are from Sean Swenson; reviewed, tested and brought to the trunk by Bill
Sacks.

Testing: mosart test suite (on yellowstone), from
https://svn-ccsm-models.cgd.ucar.edu/clm2/branch_tags/limitirrig_tags/limitirrig_n10_clm4_5_12_r196

All tests passed, but with answer changes in r2x_Flrr_volr and x2l_Flrr_volr, as
expected.

Also ran aux_clm45 test suite; most tests passed; I'm looking into remaining
failures and will update mosart if it turns out it was the source of any
problems.

M       src/riverroute/RunoffMod.F90
M       src/riverroute/RtmMod.F90
M       src/riverroute/RtmHistFlds.F90
M       src/cpl/rof_comp_mct.F90
M       src/cpl/rof_cpl_indices.F90

===============================================================
Tag name:  mosart1_0_18
Originator(s): erik
Date: Sep 13 2016
One-line Summary: Add output frequency to history files


M   src/riverroute/RtmHistFile.Fi90 -- add output history frequency "time_period_freq"

===============================================================
Tag name:  mosart1_0_17
Originator(s): erik
Date: Apr 14 2016
One-line Summary: Turn off for CLM_ACCELERATED_SPINUP="on" and fix a few bugs

Have MOSART react to CLM_ACCELERATED_SPINUP setting from CLM and turn itself off
by default if it's "on".

Also fix following bugs:

2307 -- assumes history files are no_leap calendar
2299 -- missing timer call
2230 -- for MOSART delt_save not initialized

M       bld/build-namelist ---- Check CLM_ACCELERATED_SPINUP, read do_rtm from
           defaults file and check based on CLM_ACCELERATED_SPINUP and MOSART_MODE
M       bld/namelist_files/namelist_defaults_mosart.xml - add do_rtm settings
M       src/riverroute/RtmRestFile.F90 -- Increase string length to 255
M       src/riverroute/RtmMod.F90 ------- Increase string length to 255
M       src/riverroute/RtmHistFile.F90 -- Increase filename length to 255
           check calendar type before writing to history file
M       src/riverroute/RtmIO.F90 -------- Remove commented out lines, add timer call (2299), 
           initialize delt_save (2230)
M       src/riverroute/RtmTimeManager.F90 Add NO_LEAP_C and GREGORIAN_C as public constants (2307)

===============================================================
Tag name:  mosart1_0_16
Originator(s): swenson
Date: Feb 8 2016
One-line Summary: bugfix for budget diagnostic output

  bugfix: budget diagnostic output


M       src/riverroute/RtmMod.F90

===============================================================
Tag name:  mosart1_0_14
Originator(s): swenson
Date: Dec 22 2015
One-line Summary: bugfix for negative river runoff

  Note(bja, 20151223) this was made directly as a trunk tag, but not put on the trunk.

  bugfix: minimum channel length

M       src/riverroute/RtmMod.F90

===============================================================
Tag name:  mosart1_0_13
Originator(s): swenson, andre
Date: Dec 21 2015
One-line Summary: bugfix for negative river runoff

  bugfix: calculation of qgwl_volume must be multiplied by area.

M       src/riverroute/RtmMod.F90

===============================================================
Tag name:  mosart1_0_12
Originator(s): swenson, andre
Date: Dec 18 2015
One-line Summary: negative river runoff changes

- Update default routing file.
- Add new namelist options bypass_routing_option,
  qgwl_runoff_option
- New method of handeling runoff terms to avoid negative runoff.
- Error checking on max length of history filenames.
- Add testdefs dir, testmods and testlist for integration to cime
  test system.
- remove rofdto from coupler interface fields.

M       bld/build-namelist
M       bld/namelist_files/namelist_defaults_mosart.xml
M       bld/namelist_files/namelist_definition_mosart.xml
A  +    cime_config/testdefs
A  +    cime_config/testdefs/testlist_mosart.xml
A  +    cime_config/testdefs/testmods_dirs
A  +    cime_config/testdefs/testmods_dirs/mosart
A  +    cime_config/testdefs/testmods_dirs/mosart/mosartOff
A  +    cime_config/testdefs/testmods_dirs/mosart/mosartOff/include_user_mods
A  +    cime_config/testdefs/testmods_dirs/mosart/mosartOff/user_nl_mosart
A  +    cime_config/testdefs/testmods_dirs/mosart/default
A  +    cime_config/testdefs/testmods_dirs/mosart/default/user_nl_mosart
A  +    cime_config/testdefs/testmods_dirs/mosart/iceOff
A  +    cime_config/testdefs/testmods_dirs/mosart/iceOff/include_user_mods
A  +    cime_config/testdefs/testmods_dirs/mosart/iceOff/user_nl_mosart
M       doc/ChangeLog
M       src/riverroute/RtmMod.F90
M       src/riverroute/RtmHistFlds.F90
M       src/riverroute/MOSART_physics_mod.F90
M       src/riverroute/RtmHistFile.F90
M       src/riverroute/RtmVar.F90
M       src/riverroute/RunoffMod.F90
M       src/cpl/rof_comp_mct.F90
M       src/cpl/rof_comp_esmf.F90

===============================================================
Tag name:  mosart1_0_11
Originator(s): katec
Date: Dec 7 2015
One-line Summary: Changes to get Mosart to build with Nag on Hobart

- Shortened a few lines of code that were too long
- Added '.' for some literals that Nag thought were integers
- Removed call to 'system' and used open status='replace' instead

M       src/riverroute/MOSART_physics_mod.F90
M       src/riverroute/RtmMod.F90

===============================================================
Tag name:  mosart1_0_10
Originator(s): tcraig
Date: Dec 2 2015
One-line Summary: New input file, update direct terms, update history file

- switch to input dataset MOSART_Global_half_20151130a.nc
- update direct sparse matrix to include non basin points in order
  to pass data from any grid cell directly to the ocean.
- modify the direct term and push all direct water to outlet points
- set all tracer 2 water (frozen water) to be a direct term
- add ability to skip some tracers in the euler solver via euler_calc flag
- add a budget accumulator term
- update history file fields and fieldnames, add new history fields
- compare total upstream basin areas from the input area field, use the
  computed total areas instead of the input total areas

M       bld/namelist_files/namelist_defaults_mosart.xml
M       src/riverroute/RtmMod.F90
M       src/riverroute/RtmHistFlds.F90
M       src/riverroute/MOSART_physics_mod.F90
M       src/riverroute/RtmHistFile.F90
M       src/riverroute/RunoffMod.F90

===============================================================
Tag name:  mosart1_0_09
Originator(s): tcraig
Date: Nov 29 2015
One-line Summary: Code cleanup, add budget diagnostics, history files

M       src/riverroute/RtmMod.F90
M       src/riverroute/RtmHistFlds.F90
M       src/riverroute/MOSART_physics_mod.F90
M       src/riverroute/RtmHistFile.F90
M       src/riverroute/RunoffMod.F90
M       src/riverroute/RtmRestFile.F90
M       src/cpl/rof_cpl_indices.F90
M       src/cpl/rof_comp_mct.F90
M       src/cpl/rof_comp_esmf.F90
===============================================================
Tag name:  mosart1_0_08
Originator(s): tcraig
Date: Nov 24 2015
One-line Summary: Fix exact restart in atan slope calc

M       src/riverroute/MOSART_physics_mod.F90

===============================================================
Tag name:  mosart1_0_07
Originator(s): tcraig
Date: Nov 22 2015
One-line Summary: update rtmini and rtmrun routine and add budget
- code cleanup of rtmini and rtmrun
- works with mosart input files with scrambled IDs
- moved dto term into rtmrun
- added direct-to-outlet tranfer capability
- removed a bunch of old rtm code
- fixed esmf interfaces and tested in DEBUG mode
- added budget calculation (still being validated)
- has a known exact restart error that introduces a roundoff
  difference at the first timestep at a handful of gridcells.
  This is probably not going to impact science, will be fixed
  next.

M       src/riverroute/RtmMod.F90
M       src/riverroute/MOSART_physics_mod.F90
M       src/riverroute/RunoffMod.F90
M       src/riverroute/RtmRestFile.F90
M       src/cpl/rof_comp_mct.F90
M       src/cpl/rof_comp_esmf.F90
===============================================================
Tag name:  mosart1_0_06
Originator(s): tcraig
Date: Nov 19 2015
One-line Summary: merge ACME fixes to decomp and performance

This works with MOSART_Global_half_20130604a.nc, NOT
MOSART_Global_half_20151015a.nc.  This will be fixed in the next
commit.  Probably shouldn't use this tag for now.

Not bit for big with previous tag.

M       bld/build-namelist
M       bld/namelist_files/namelist_defaults_mosart.xml
M       bld/namelist_files/namelist_definition_mosart.xml
M       src/riverroute/RtmMod.F90
M       src/riverroute/MOSART_physics_mod.F90
M       src/riverroute/RtmSpmd.F90
M       src/riverroute/RtmVar.F90
M       src/riverroute/RunoffMod.F90

===============================================================
Tag name:  mosart1_0_05
Originator(s): andre
Date: Oct 15 2015
One-line Summary: swenson bugfix for mosart direction file

The old mosart direction file, rof/mosart/MOSART_Global_half_20130604a.nc,
has antarctica shifted by 180 degrees.

Tested with pre-clm4_5_3_r140:
  ERS_D_Ld5.f10_f10.IMCRUCLM50BGC.yellowstone_intel - runs to completion

Not bit for bit with previous tag.

===============================================================
Tag name:  mosart1_0_04
Originator(s): andre
Date: Oct 15 2015
One-line Summary: swenson river volume normalization bugfix

Tested by Sean Swenson. Verified to compile and run SMS_D.f10_f10.IMCRUCLM50BGC.yellowstone_intel.clm-default.

Not bit for bit with previous tag.

===============================================================
Tag name:  mosart1_0_03
Originator(s): andre
Date: Oct 13, 2015
One-line Summary: update mosart

Updates to mosart:

* cime compatible infrastructure from Mariana Vertenstein

* Add direct to ocean runoff flux from Sean Swenson.

* PIO2 updates from Jim Edwards

Tested against version of clm4_5_3_r135

  ERS_D_Ld5.f10_f10.IMCRUCLM50BGC.yellowstone_intel.clm-default
  SMS_D_Ld3.f10_f10.IMCRUCLM50BGC.yellowstone_intel.clm-default


Not expected to be bit for bit with previous tag.

M       bld/build-namelist
D       bld/mosart.buildlib
D       bld/mosart.buildnml
D       bld/user_nl_mosart
A  +    cime_config
A  +    cime_config/buildlib
A  +    cime_config/buildnml
A  +    cime_config/config_component.xml
A  +    cime_config/user_nl_mosart
M       src/riverroute/RtmMod.F90
M       src/riverroute/RtmHistFlds.F90
M       src/riverroute/RtmIO.F90
M       src/riverroute/RunoffMod.F90
M       src/cpl/rof_cpl_indices.F90
M       src/cpl/rof_comp_mct.F90
M       src/cpl/rof_comp_esmf.F90

===============================================================
Tag name:  mosart1_0_00
Originator(s): tcraig
Date: May 1, 2015
One-line Summary: add mosart to CESM repository

This is based on the following version from PNL but has been updated
to fit into cesm1_4.

URL: https://svn.pnl.gov/svn/iRESM/cesm1/trunk/models/rof/mosart
Repository Root: https://svn.pnl.gov/svn/iRESM
Repository UUID: 97a048bb-0f8f-0410-8848-820bd1cc90bf
Revision: 1311
Node Kind: directory
Schedule: normal
Last Changed Author: tcraig
Last Changed Rev: 1310
Last Changed Date: 2014-10-03 10:38:55 -0600 (Fri, 03 Oct 2014)

A       bld
A       bld/build-namelist
A       bld/mosart.buildlib
A       bld/mosart.buildnml
A       bld/user_nl_mosart
A       bld/namelist_files
A       bld/namelist_files/namelist_defaults_mosart.xml
A       bld/namelist_files/namelist_definition_mosart.xml
A       doc
A       doc/ChangeLog
A       src
A       src/riverroute
A       src/riverroute/RtmMod.F90
A       src/riverroute/RtmFileUtils.F90
A       src/riverroute/RtmHistFlds.F90
A       src/riverroute/MOSART_physics_mod.F90
A       src/riverroute/RtmSpmd.F90
A       src/riverroute/RtmHistFile.F90
A       src/riverroute/RtmIO.F90
A       src/riverroute/RtmVar.F90
A       src/riverroute/RtmTimeManager.F90
A       src/riverroute/RtmDateTime.F90
A       src/riverroute/RunoffMod.F90
A       src/riverroute/RtmRestFile.F90
A       src/cpl
A       src/cpl/rof_cpl_indices.F90
A       src/cpl/rof_comp_mct.F90
A       src/cpl/rof_comp_esmf.F90

===============================================================
